> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Batch Dials

> Lists completed dials that are associated with the batch job.



## OpenAPI

````yaml get /batch_dial_jobs/{id}/dials
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /batch_dial_jobs/{id}/dials:
    get:
      summary: List Batch Dials
      description: Lists completed dials that are associated with the batch job.
      operationId: listBatchDialJobDials
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
          description: ID of the batch dial job.
        - in: query
          name: limit
          schema:
            type: integer
          required: false
          description: The number of dials to return.
        - in: query
          name: cursor
          schema:
            type: string
          required: false
          description: The cursor for pagination.
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBatchDialJobDialsResult'
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    ListBatchDialJobDialsResult:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Dial'
        cursor:
          type: string
          nullable: true
      required:
        - data
        - cursor
    Dial:
      type: object
      properties:
        id:
          type: string
          nullable: false
        toNumber:
          type: string
          x-go-type-skip-optional-pointer: true
        agent:
          $ref: '#/components/schemas/Agent'
        recordings:
          type: array
          x-go-type-skip-optional-pointer: true
          items:
            $ref: '#/components/schemas/CallRecording'
        transcript:
          type: array
          x-go-type-skip-optional-pointer: true
          items:
            $ref: '#/components/schemas/CallTranscriptEntry'
        durationSeconds:
          type: integer
          nullable: false
          description: >-
            The total duration of the call, including all telephony time (if the
            call was transferred, this will include the transfer time)
        aiDurationSeconds:
          type: integer
          nullable: false
          description: >-
            The total duration of the call during which the AI was involved.
            Does not include transfer time.
        aiResult:
          type: object
          additionalProperties: {}
        inputs:
          type: object
          additionalProperties: {}
        status:
          type: string
          nullable: false
        dialTaskId:
          type: string
        fromNumberId:
          type: string
        startedAt:
          type: string
          format: date-time
          nullable: false
        endedAt:
          type: string
          format: date-time
          nullable: false
        createdAt:
          type: string
          format: date-time
          nullable: false
        updatedAt:
          type: string
          format: date-time
          nullable: false
        systemResultType:
          $ref: '#/components/schemas/SystemResultType'
          description: The type of system result for this dial, if applicable.
          nullable: true
        voiceId:
          type: string
          nullable: false
        versionedPromptId:
          type: string
          nullable: false
      required:
        - id
    Agent:
      type: object
      properties:
        id:
          type: string
          nullable: false
        name:
          type: string
          nullable: false
        transcriberParams:
          $ref: '#/components/schemas/TranscriberParams'
          x-go-type-skip-optional-pointer: true
          nullable: true
        metadata:
          type: object
          additionalProperties: {}
          x-go-type-skip-optional-pointer: true
        utteranceDetectorConfig:
          $ref: '#/components/schemas/UtteranceDetectorConfig'
        endpointDetectorConfig:
          $ref: '#/components/schemas/EndpointDetectorConfig'
          nullable: true
          description: >-
            Configuration for endpoint detection to determine when a user has
            finished speaking.
        ivrConfiguration:
          $ref: '#/components/schemas/IVRConfiguration'
          description: >-
            The configuration for IVR detection and navigation including
            detection type, prompt, voice, and tagging settings.
          nullable: true
        idleMessageConfig:
          $ref: '#/components/schemas/IdleMessageConfig'
          nullable: true
          description: >-
            Configuration for idle messages that the agent can say when the user
            is silent.
        language:
          type: string
          description: The language to use for the agent.
        maxDurationSeconds:
          type: integer
          nullable: false
          default: 10800
          description: The maximum duration of the call in seconds.
        timeoutMessage:
          type: string
          nullable: true
          description: >-
            An optional message to play via TTS before hanging up when the call
            reaches its max duration timeout.
        timeoutBehaviorConfiguration:
          $ref: '#/components/schemas/TimeoutBehaviorConfiguration'
          nullable: true
          description: >-
            Configuration for the behavior when a call reaches its max duration
            timeout.
        defaultVoiceId:
          type: string
          description: The default voice ID to use for the agent.
        defaultVersionedPromptId:
          type: string
          description: The default versioned prompt ID to use for the agent.
        defaultExtractorId:
          type: string
          description: The default extractor ID to use for the agent.
          nullable: true
        linkedFunctionDefinitions:
          type: array
          x-go-type-skip-optional-pointer: true
          items:
            $ref: '#/components/schemas/LinkedFunctionDefinition'
          description: The function definitions that should be available to this agent.
        fillEmptyStringVariables:
          type: boolean
          nullable: false
          description: >-
            If true, variables that are not specified will be filled with empty
            strings instead of being left as template placeholders.
        silenceHangupConfiguration:
          $ref: '#/components/schemas/SilenceHangupConfiguration'
          nullable: true
          description: >-
            Configuration for automatically hanging up the call after a period
            of silence.
        ivrSilenceHangupConfiguration:
          $ref: '#/components/schemas/SilenceHangupConfiguration'
          nullable: true
          description: >-
            Configuration for automatically hanging up the call after a period
            of silence while in IVR mode.
        voiceOptionValues:
          type: array
          x-go-type-skip-optional-pointer: true
          items:
            $ref: '#/components/schemas/ModelOptionValue'
          description: The configuration values for the voice being used by the agent.
      required:
        - id
        - name
        - language
    CallRecording:
      type: object
      properties:
        url:
          type: string
          description: >-
            A URL that can be used to download the recording of the call. Be
            sure to include an API key in the header to access the recording.
          nullable: false
      required:
        - url
    CallTranscriptEntry:
      type: object
      properties:
        text:
          type: string
        speaker:
          type: string
          description: >-
            Either `HUMAN` or `AI`, indicating the speaker type. If this is a
            function call result the speaker will be `AI`, while the
            `detailType` will be `function`.
        detailType:
          type: string
          nullable: true
          description: Will be `function` if this is a function result, otherwise `null`.
        functionCallId:
          type: string
          description: The function call ID if this is a tool call result.
        startTimeMs:
          type: integer
        endTimeMs:
          type: integer
        functionCalls:
          type: array
          items:
            $ref: '#/components/schemas/CallTranscriptFunctionCall'
        nodeTransition:
          $ref: '#/components/schemas/CallTranscriptNodeTransition'
      required:
        - text
        - speaker
    SystemResultType:
      type: string
      enum:
        - BUSY
        - FAILED
        - NO_ANSWER
        - CANCELLED
        - USER_HANGUP
        - COUNTERPARTY_HANGUP
        - TIMEOUT
        - RATE_LIMITED
        - TRANSFERRED
        - AGENT_HANGUP
        - VOICEMAIL_DETECTED_HANGUP
        - LONG_SILENCE_HANGUP
      description: The type of system result for a dial.
      nullable: false
    TranscriberParams:
      type: object
      properties:
        type:
          type: string
          nullable: false
          description: >-
            By default, the only supported option is deepgram. Please contact
            support if you'd like access to more options.
        keywords:
          type: array
          items:
            type: string
          description: Keywords to be used for transcription.
          x-go-type-skip-optional-pointer: true
          nullable: false
      required:
        - type
    UtteranceDetectorConfig:
      type: object
      properties:
        sensitivity:
          $ref: '#/components/schemas/UtteranceDetectorSensitivity'
        interruptionPlayTimeMs:
          type: integer
          description: >-
            The minimum amount of time in milliseconds that the agent will
            continue speaking after being interrupted. Defaults to 0.
          nullable: true
      required:
        - sensitivity
    EndpointDetectorConfig:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/EndpointDetectorType'
          nullable: false
          description: The type of endpoint detector to use.
        mode:
          $ref: '#/components/schemas/EndpointDetectorMode'
          nullable: true
          description: >-
            The mode for the endpoint detector (only applicable for SEMANTIC
            type).
      required:
        - type
    IVRConfiguration:
      type: object
      nullable: true
      properties:
        detectionType:
          $ref: '#/components/schemas/IvrDetectionType'
          description: The type of IVR detection to use.
          nullable: false
        versionedPromptId:
          type: string
          description: The versioned prompt ID to use for IVR detection.
          nullable: true
        aiVoiceId:
          type: string
          description: The AI voice ID to use for IVR detection.
          nullable: true
        taggingText:
          type: string
          description: The tagging text for IVR detection.
          nullable: true
      required:
        - detectionType
    IdleMessageConfig:
      type: object
      properties:
        enabled:
          type: boolean
          description: Whether idle messages are enabled for this agent.
          nullable: false
        messages:
          type: array
          items:
            type: string
          description: >-
            The list of idle messages that the agent can say when the user is
            silent.
          nullable: false
          x-go-type-skip-optional-pointer: true
        idleDurationMilliseconds:
          type: integer
          description: >-
            The duration in milliseconds that the user must be silent before an
            idle message is triggered.
          nullable: false
          minimum: 5000
        maxIdleMessages:
          type: integer
          description: The maximum number of idle messages that can be said during a call.
          nullable: false
          minimum: 1
      required:
        - enabled
    TimeoutBehaviorConfiguration:
      type: object
      nullable: true
      properties:
        behavior:
          $ref: '#/components/schemas/TimeoutBehavior'
          nullable: false
          description: The timeout behavior to use.
        transferNumber:
          type: string
          nullable: true
          description: The phone number to transfer to when behavior is TRANSFER.
      required:
        - behavior
    LinkedFunctionDefinition:
      type: object
      properties:
        functionDefinitionId:
          type: string
          nullable: false
          description: The ID of the function definition to link.
        lifecycleMessagesOverride:
          $ref: '#/components/schemas/FunctionLifecycleMessages'
          description: >-
            Lifecycle messages to override the defaults for this function link,
            or null to not override.
      required:
        - functionDefinitionId
    SilenceHangupConfiguration:
      type: object
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/SilenceHangupType'
          nullable: false
          description: The type of silence hangup behavior.
        silenceDurationSeconds:
          type: integer
          description: The duration of silence in seconds before hanging up.
      required:
        - type
    ModelOptionValue:
      type: object
      description: >-
        A configuration value for the model. You can get a list of available
        models and their configuration values from /models. All configuration
        values, with defaults will be returned when you retrieve a versioned
        prompt.
      properties:
        optionId:
          type: string
          description: The ID of option.
          nullable: false
        value:
          type: string
          nullable: false
      required:
        - optionId
        - value
    CallTranscriptFunctionCall:
      type: object
      properties:
        functionCallId:
          type: string
        name:
          type: string
        args:
          type: string
          description: The arguments to the function call, JSON encoded if it is an object.
      required:
        - name
        - args
    CallTranscriptNodeTransition:
      type: object
      properties:
        toNodeId:
          type: string
        transitionData:
          type: object
          additionalProperties: {}
          x-go-type: interface{}
          x-go-type-skip-optional-pointer: true
          nullable: true
      required:
        - toNodeId
        - transitionData
    UtteranceDetectorSensitivity:
      type: string
      enum:
        - ULTRA_FAST
        - FAST
        - MEDIUM
        - SLOW
      nullable: false
    EndpointDetectorType:
      type: string
      enum:
        - SIMPLE
        - SEMANTIC
      nullable: false
    EndpointDetectorMode:
      type: string
      enum:
        - CONSERVATIVE
        - DEFAULT
        - AGGRESSIVE
      nullable: false
    IvrDetectionType:
      type: string
      enum:
        - NONE
        - STANDARD
      description: The type of IVR detection to use for the agent.
    TimeoutBehavior:
      type: string
      enum:
        - HANGUP
        - TRANSFER
      nullable: false
      description: >-
        The behavior when a call reaches its max duration timeout. HANGUP
        disconnects the call, TRANSFER forwards to a specified number.
    FunctionLifecycleMessages:
      type: object
      properties:
        started:
          type: array
          description: >-
            Messages to display when the function starts executing. One will be
            chosen at random.
          items:
            type: string
          nullable: false
      required:
        - started
    SilenceHangupType:
      type: string
      enum:
        - DISABLED
        - FIRST_MESSAGE_ONLY
        - WHOLE_CALL
      nullable: false
      description: >-
        The type of silence hangup behavior. DISABLED means no silence hangup,
        FIRST_MESSAGE_ONLY means only hangup if no first message is received,
        WHOLE_CALL means hangup after silence at any point in the call.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````